package webserver

import "git.vinchent.xyz/vinchent/go-web/framework"

type WebSrvProvider struct{}

func (p *WebSrvProvider) Name() string {
	return WebSrvName
}

func (p *WebSrvProvider) Register(c framework.Container) framework.NewInstance {
	return NewGoWebGin
}

func (p *WebSrvProvider) Init(c framework.Container) error {
	return nil
}

func (p *WebSrvProvider) InstantiateLater() bool {
	return false
}

func (p *WebSrvProvider) Params(c framework.Container) []interface{} {
	return []interface{}{c}
}
